# azure.mgmt.web.operations module

class `azure.mgmt.web.operations.``CertificateOrdersOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CertificateOrdersOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_certificate`(resource_group_name, certificate_order_name, name, key_vault_certificate, custom_headers=None, raw=False, **operation_config)

    Associates a Key Vault secret to a certificate store that will be used for storing the certificate once it’s ready.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - certificate_order_name (str) – Certificate name
    - name (str) – Certificate name
    - key_vault_certificate (`CertificateOrderCertificate`) – Key Vault secret csm Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderCertificate`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_certificate_order`(resource_group_name, name, certificate_distinguished_name, custom_headers=None, raw=False, **operation_config)

    Create or update a certificate purchase order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - certificate_distinguished_name (`CertificateOrder`) – Distinguished name to be used for purchasing certificate
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrder`
    Return type: | `ClientRawResponse` if raw=true

  `delete_certificate`(resource_group_name, certificate_order_name, name, custom_headers=None, raw=False, **operation_config)

    Deletes the certificate associated with the certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - certificate_order_name (str) – Certificate name
    - name (str) – Certificate name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_certificate_order`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Delete an existing certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_certificate`(resource_group_name, certificate_order_name, name, custom_headers=None, raw=False, **operation_config)

    Get certificate associated with the certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - certificate_order_name (str) – Certificate name
    - name (str) – Certificate name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderCertificate`
    Return type: | `ClientRawResponse` if raw=true

  `get_certificate_order`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get a certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrder`
    Return type: | `ClientRawResponse` if raw=true

  `get_certificate_orders`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get certificate orders in a resource group.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderPaged`

  `get_certificates`(resource_group_name, certificate_order_name, custom_headers=None, raw=False, **operation_config)

    List all certificates associated with a certificate order (only one certificate can be associated with an order at a time).

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - certificate_order_name (str) – Certificate name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderCertificatePaged`

  `reissue_certificate_order`(resource_group_name, name, reissue_certificate_order_request, custom_headers=None, raw=False, **operation_config)

    Reissue an existing certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - reissue_certificate_order_request (`ReissueCertificateOrderRequest`) – Reissue parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `renew_certificate_order`(resource_group_name, name, renew_certificate_order_request, custom_headers=None, raw=False, **operation_config)

    Renew an existing certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - renew_certificate_order_request (`RenewCertificateOrderRequest`) – Renew parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `resend_certificate_email`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Resend certificate email.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate order name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `retrieve_certificate_actions`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Retrieve the list of certificate actions.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate order name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `CertificateOrderAction`
    Return type: | `ClientRawResponse` if raw=true

  `retrieve_certificate_email_history`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Retrive email history.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate order name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `CertificateEmail`
    Return type: | `ClientRawResponse` if raw=true

  `update_certificate`(resource_group_name, certificate_order_name, name, key_vault_certificate, custom_headers=None, raw=False, **operation_config)

    Associates a Key Vault secret to a certificate store that will be used for storing the certificate once it’s ready.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - certificate_order_name (str) – Certificate name
    - name (str) – Certificate name
    - key_vault_certificate (`CertificateOrderCertificate`) – Key Vault secret csm Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderCertificate`
    Return type: | `ClientRawResponse` if raw=true

  `update_certificate_order`(resource_group_name, name, certificate_distinguished_name, custom_headers=None, raw=False, **operation_config)

    Create or update a certificate purchase order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate name
    - certificate_distinguished_name (`CertificateOrder`) – Distinguished name to be used for purchasing certificate
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrder`
    Return type: | `ClientRawResponse` if raw=true

  `verify_domain_ownership`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Verify domain ownership for this certificate order.

    Parameters:

    - resource_group_name (str) – Azure resource group name
    - name (str) – Certificate order name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``CertificatesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  CertificatesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_certificate`(resource_group_name, name, certificate_envelope, custom_headers=None, raw=False, **operation_config)

    Creates or modifies an existing certificate.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - certificate_envelope (`Certificate`) – Details of certificate if it exists already.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Certificate`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_csr`(resource_group_name, name, csr_envelope, custom_headers=None, raw=False, **operation_config)

    Creates or modifies an existing certificate signing request.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - csr_envelope (`Csr`) – Details of certificate signing request if it exists already.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Csr`
    Return type: | `ClientRawResponse` if raw=true

  `delete_certificate`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Delete a certificate by name in a specificed subscription and resourcegroup.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate to be deleted.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_csr`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Delete the certificate signing request.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate signing request.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_certificate`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get a certificate by certificate name for a subscription in the specified resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Certificate`
    Return type: | `ClientRawResponse` if raw=true

  `get_certificates`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get certificates for a subscription in the specified resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificatePaged`

  `get_csr`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets a certificate signing request by certificate name for a subscription in the specified resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Csr`
    Return type: | `ClientRawResponse` if raw=true

  `get_csrs`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets the certificate signing requests for a subscription in the specified resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `Csr`
    Return type: | `ClientRawResponse` if raw=true

  `update_certificate`(resource_group_name, name, certificate_envelope, custom_headers=None, raw=False, **operation_config)

    Creates or modifies an existing certificate.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - certificate_envelope (`Certificate`) – Details of certificate if it exists already.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Certificate`
    Return type: | `ClientRawResponse` if raw=true

  `update_csr`(resource_group_name, name, csr_envelope, custom_headers=None, raw=False, **operation_config)

    Creates or modifies an existing certificate signing request.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the certificate.
    - csr_envelope (`Csr`) – Details of certificate signing request if it exists already.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Csr`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``ClassicMobileServicesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ClassicMobileServicesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `delete_classic_mobile_service`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Delete a mobile service.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of mobile service
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_classic_mobile_service`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get a mobile service.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of mobile service
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ClassicMobileService`
    Return type: | `ClientRawResponse` if raw=true

  `get_classic_mobile_services`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get all mobile services in a resource group.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ClassicMobileServicePaged`

class `azure.mgmt.web.operations.``DomainsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  DomainsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_domain`(resource_group_name, domain_name, domain, custom_headers=None, raw=False, **operation_config)

    Creates a domain.

    Parameters:

    - resource_group_name (str) – &gt;Name of the resource group
    - domain_name (str) – Name of the domain
    - domain (`Domain`) – Domain registration information
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Domain`
    Return type: | `ClientRawResponse` if raw=true

  `delete_domain`(resource_group_name, domain_name, force_hard_delete_domain=None, custom_headers=None, raw=False, **operation_config)

    Deletes a domain.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - domain_name (str) – Name of the domain
    - force_hard_delete_domain (bool) – If true then the domain will be deleted immediately instead of after 24 hours
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_domain`(resource_group_name, domain_name, custom_headers=None, raw=False, **operation_config)

    Gets details of a domain.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - domain_name (str) – Name of the domain
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Domain`
    Return type: | `ClientRawResponse` if raw=true

  `get_domain_operation`(resource_group_name, domain_name, operation_id, custom_headers=None, raw=False, **operation_config)

    Retrieves the latest status of a domain purchase operation.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - domain_name (str) – Name of the domain
    - operation_id (str) – Domain purchase operation Id
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Domain`
    Return type: | `ClientRawResponse` if raw=true

  `get_domains`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Lists domains under a resource group.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DomainPaged`

  `update_domain`(resource_group_name, domain_name, domain, custom_headers=None, raw=False, **operation_config)

    Creates a domain.

    Parameters:

    - resource_group_name (str) – &gt;Name of the resource group
    - domain_name (str) – Name of the domain
    - domain (`Domain`) – Domain registration information
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Domain`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``GlobalModelOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GlobalModelOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_name_availability`(request, custom_headers=None, raw=False, **operation_config)

    Check if resource name is available.

    Parameters:

    - request (`ResourceNameAvailabilityRequest`) – Name availability request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceNameAvailability`
    Return type: | `ClientRawResponse` if raw=true

  `get_all_certificates`(custom_headers=None, raw=False, **operation_config)

    Get all certificates for a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificatePaged`

  `get_all_classic_mobile_services`(custom_headers=None, raw=False, **operation_config)

    Gets all mobile services for a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ClassicMobileServicePaged`

  `get_all_hosting_environments`(custom_headers=None, raw=False, **operation_config)

    Gets all hostingEnvironments (App Service Environment) for a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostingEnvironmentPaged`

  `get_all_managed_hosting_environments`(custom_headers=None, raw=False, **operation_config)

    Gets all managed hosting environments for a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ManagedHostingEnvironmentPaged`

  `get_all_server_farms`(detailed=None, custom_headers=None, raw=False, **operation_config)

    Gets all App Service Plans for a subcription.

    Parameters:

    - detailed (bool) – False to return a subset of App Service Plan properties, true to return all of the properties. Retrieval of all properties may increase the API latency.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_all_sites`(custom_headers=None, raw=False, **operation_config)

    Gets all Web Apps for a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_subscription_geo_regions`(sku=None, custom_headers=None, raw=False, **operation_config)

    Gets list of available geo regions.

    Parameters:

    - sku (str) – Filter only to regions that support this sku
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `GeoRegionPaged`

  `get_subscription_publishing_credentials`(custom_headers=None, raw=False, **operation_config)

    Gets publishing credentials for the subscription owner.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `User`
    Return type: | `ClientRawResponse` if raw=true

  `is_hosting_environment_name_available`(name, custom_headers=None, raw=False, **operation_config)

    Whether hosting environment name is available.

    Parameters:

    - name (str) – Hosting environment name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `is_hosting_environment_with_legacy_name_available`(name, custom_headers=None, raw=False, **operation_config)

    Whether hosting environment name is available.

    Parameters:

    - name (str) – Hosting environment name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `list_premier_add_on_offers`(custom_headers=None, raw=False, **operation_config)

    List premier add on offers.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `update_subscription_publishing_credentials`(request_message, custom_headers=None, raw=False, **operation_config)

    Updates publishing credentials for the subscription owner.

    Parameters:

    - request_message (`User`) – requestMessage with new publishing credentials
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `User`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``GlobalCertificateOrderOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GlobalCertificateOrderOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_all_certificate_orders`(custom_headers=None, raw=False, **operation_config)

    Lists all domains in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CertificateOrderPaged`

  `validate_certificate_purchase_information`(certificate_order, custom_headers=None, raw=False, **operation_config)

    Validate certificate purchase information.

    Parameters:

    - certificate_order (`CertificateOrder`) – Certificate order
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``GlobalDomainRegistrationOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GlobalDomainRegistrationOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `check_domain_availability`(name=None, custom_headers=None, raw=False, **operation_config)

    Checks if a domain is available for registration.

    Parameters:

    - name (str) – Name of the object
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DomainAvailablilityCheckResult`
    Return type: | `ClientRawResponse` if raw=true

  `get_all_domains`(custom_headers=None, raw=False, **operation_config)

    Lists all domains in a subscription.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DomainPaged`

  `get_domain_control_center_sso_request`(custom_headers=None, raw=False, **operation_config)

    Generates a single sign on request for domain management portal.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DomainControlCenterSsoRequest`
    Return type: | `ClientRawResponse` if raw=true

  `list_domain_recommendations`(keywords=None, max_domain_recommendations=None, custom_headers=None, raw=False, **operation_config)

    Lists domain recommendations based on keywords.

    Parameters:

    - keywords (str) – Keywords to be used for generating domain recommendations
    - max_domain_recommendations (int) – Maximum number of recommendations
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NameIdentifierPaged`

  `validate_domain_purchase_information`(domain_registration_input, custom_headers=None, raw=False, **operation_config)

    Validates domain registration information.

    Parameters:

    - domain_registration_input (`DomainRegistrationInput`) – Domain registration information
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``GlobalResourceGroupsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  GlobalResourceGroupsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `move_resources`(resource_group_name, target_resource_group=None, resources=None, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - target_resource_group (str) –
    - resources (list of str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | None
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``HostingEnvironmentsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  HostingEnvironmentsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_hosting_environment`(resource_group_name, name, hosting_environment_envelope, custom_headers=None, raw=False, **operation_config)

    Create or update a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - hosting_environment_envelope (`HostingEnvironment`) – Properties of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `HostingEnvironment`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_multi_role_pool`(resource_group_name, name, multi_role_pool_envelope, custom_headers=None, raw=False, **operation_config)

    Create or update a multiRole pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - multi_role_pool_envelope (`WorkerPool`) – Properties of multiRole pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `WorkerPool`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_worker_pool`(resource_group_name, name, worker_pool_name, worker_pool_envelope, custom_headers=None, raw=False, **operation_config)

    Create or update a worker pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - worker_pool_envelope (`WorkerPool`) – Properties of worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `WorkerPool`
    Return type: | `ClientRawResponse` if raw=true

  `delete_hosting_environment`(resource_group_name, name, force_delete=None, custom_headers=None, raw=False, **operation_config)

    Delete a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - force_delete (bool) – Delete even if the hostingEnvironment (App Service Environment) contains resources
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns object
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get properties of hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostingEnvironment`
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_capacities`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get used, available, and total worker capacity for hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StampCapacityPaged`

  `get_hosting_environment_diagnostics`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get diagnostic information for hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `HostingEnvironmentDiagnostics`
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_diagnostics_item`(resource_group_name, name, diagnostics_name, custom_headers=None, raw=False, **operation_config)

    Get diagnostic information for hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - diagnostics_name (str) – Name of the diagnostics
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostingEnvironmentDiagnostics`
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_metric_definitions`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get global metric definitions of hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinition`
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_metrics`(resource_group_name, name, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Get global metrics of hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - details (bool) – Include instance details
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_hosting_environment_multi_role_metric_definitions`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get metric definitions for a multiRole pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinitionPaged`

  `get_hosting_environment_multi_role_metrics`(resource_group_name, name, start_time=None, end_time=None, time_grain=None, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Get metrics for a multiRole pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - start_time (str) – Beginning time of metrics query
    - end_time (str) – End time of metrics query
    - time_grain (str) – Time granularity of metrics query
    - details (bool) – Include instance details
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_hosting_environment_multi_role_usages`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get usages for a multiRole pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `UsagePaged`

  `get_hosting_environment_operation`(resource_group_name, name, operation_id, custom_headers=None, raw=False, **operation_config)

    Get status of an operation on a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - operation_id (str) – operation identifier GUID
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_operations`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    List all currently running operations on the hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_server_farms`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all serverfarms (App Service Plans) on the hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_hosting_environment_sites`(resource_group_name, name, properties_to_include=None, custom_headers=None, raw=False, **operation_config)

    Get all sites on the hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - properties_to_include (str) – Comma separated list of site properties to include
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_hosting_environment_usages`(resource_group_name, name, filter=None, custom_headers=None, raw=False, **operation_config)

    Get global usages of hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CsmUsageQuotaPaged`

  `get_hosting_environment_vips`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get IP addresses assigned to the hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AddressResponse`
    Return type: | `ClientRawResponse` if raw=true

  `get_hosting_environment_web_hosting_plans`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all serverfarms (App Service Plans) on the hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_hosting_environment_web_worker_metric_definitions`(resource_group_name, name, worker_pool_name, custom_headers=None, raw=False, **operation_config)

    Get metric definitions for a worker pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinitionPaged`

  `get_hosting_environment_web_worker_metrics`(resource_group_name, name, worker_pool_name, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Get metrics for a worker pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - details (bool) – Include instance details
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_hosting_environment_web_worker_usages`(resource_group_name, name, worker_pool_name, custom_headers=None, raw=False, **operation_config)

    Get usages for a worker pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `UsagePaged`

  `get_hosting_environments`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get all hostingEnvironments (App Service Environments) in a resource group.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostingEnvironmentPaged`

  `get_multi_role_pool`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get properties of a multiRool pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkerPool`
    Return type: | `ClientRawResponse` if raw=true

  `get_multi_role_pool_instance_metric_definitions`(resource_group_name, name, instance, custom_headers=None, raw=False, **operation_config)

    Get metric definitions for a specific instance of a multiRole pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - instance (str) – Name of instance in the multiRole pool&gt;
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_multi_role_pool_instance_metrics`(resource_group_name, name, instance, details=None, custom_headers=None, raw=False, **operation_config)

    Get metrics for a specific instance of a multiRole pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - instance (str) – Name of instance in the multiRole pool
    - details (bool) – Include instance details
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_multi_role_pool_skus`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get available skus for scaling a multiRole pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SkuInfoPaged`

  `get_multi_role_pools`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all multi role pools.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkerPoolPaged`

  `get_worker_pool`(resource_group_name, name, worker_pool_name, custom_headers=None, raw=False, **operation_config)

    Get properties of a worker pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkerPool`
    Return type: | `ClientRawResponse` if raw=true

  `get_worker_pool_instance_metric_definitions`(resource_group_name, name, worker_pool_name, instance, custom_headers=None, raw=False, **operation_config)

    Get metric definitions for a specific instance of a worker pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - instance (str) – Name of instance in the worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_worker_pool_instance_metrics`(resource_group_name, name, worker_pool_name, instance, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Get metrics for a specific instance of a worker pool of a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - instance (str) – Name of instance in the worker pool
    - details (bool) – Include instance details
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_worker_pool_skus`(resource_group_name, name, worker_pool_name, custom_headers=None, raw=False, **operation_config)

    Get available skus for scaling a worker pool.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - worker_pool_name (str) – Name of worker pool
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SkuInfoPaged`

  `get_worker_pools`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all worker pools.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `WorkerPoolPaged`

  `reboot_hosting_environment`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Reboots all machines in a hostingEnvironment (App Service Environment).

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `resume_hosting_environment`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Resumes the hostingEnvironment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `suspend_hosting_environment`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Suspends the hostingEnvironment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of hostingEnvironment (App Service Environment)
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

class `azure.mgmt.web.operations.``ManagedHostingEnvironmentsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ManagedHostingEnvironmentsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_managed_hosting_environment`(resource_group_name, name, managed_hosting_environment_envelope, custom_headers=None, raw=False, **operation_config)

    Create or update a managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - managed_hosting_environment_envelope (`HostingEnvironment`) – Properties of managed hosting environment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `HostingEnvironment`
    Return type: | `ClientRawResponse` if raw=true

  `delete_managed_hosting_environment`(resource_group_name, name, force_delete=None, custom_headers=None, raw=False, **operation_config)

    Delete a managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - force_delete (bool) – Delete even if the managed hosting environment contains resources
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns object
    Return type: | `ClientRawResponse` if raw=true

  `get_managed_hosting_environment`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get properties of a managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ManagedHostingEnvironment`
    Return type: | `ClientRawResponse` if raw=true

  `get_managed_hosting_environment_operation`(resource_group_name, name, operation_id, custom_headers=None, raw=False, **operation_config)

    Get status of an operation on a managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - operation_id (str) – operation identifier GUID
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_managed_hosting_environment_server_farms`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all serverfarms (App Service Plans) on the managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_managed_hosting_environment_sites`(resource_group_name, name, properties_to_include=None, custom_headers=None, raw=False, **operation_config)

    Get all sites on the managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - properties_to_include (str) – Comma separated list of site properties to include
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_managed_hosting_environment_vips`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get list of ip addresses assigned to a managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `AddressResponse`
    Return type: | `ClientRawResponse` if raw=true

  `get_managed_hosting_environment_web_hosting_plans`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get all serverfarms (App Service Plans) on the managed hosting environment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of managed hosting environment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_managed_hosting_environments`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Get all managed hosting environments in a resource group.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostingEnvironmentPaged`

class `azure.mgmt.web.operations.``ProviderOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ProviderOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_publishing_user`(custom_headers=None, raw=False, **operation_config)

    Gets publishing user.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `User`
    Return type: | `ClientRawResponse` if raw=true

  `get_source_control`(source_control_type, custom_headers=None, raw=False, **operation_config)

    Gets source control token.

    Parameters:

    - source_control_type (str) – Type of source control
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `get_source_controls`(custom_headers=None, raw=False, **operation_config)

    Gets the source controls available for Azure websites.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SourceControlPaged`

  `update_publishing_user`(request_message, custom_headers=None, raw=False, **operation_config)

    Updates publishing user.

    Parameters:

    - request_message (`User`) – Details of publishing user
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `User`
    Return type: | `ClientRawResponse` if raw=true

  `update_source_control`(source_control_type, request_message, custom_headers=None, raw=False, **operation_config)

    Updates source control token.

    Parameters:

    - source_control_type (str) – Type of source control
    - request_message (`SourceControl`) – Source control token information
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SourceControl`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``RecommendationsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  RecommendationsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_recommendation_by_subscription`(featured=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of recommendations associated with the specified subscription.

    Parameters:

    - featured (bool) – If set, this API returns only the most critical recommendation among the others. Otherwise this API returns all recommendations available
    - filter (str) – Return only channels specified in the filter. Filter is specified by using OData syntax. Example: $filter=channels eq ‘Api’ or channel eq ‘Notification’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `Recommendation`
    Return type: | `ClientRawResponse` if raw=true

  `get_recommendation_history_for_site`(resource_group_name, site_name, start_time=None, end_time=None, custom_headers=None, raw=False, **operation_config)

    Gets the list of past recommendations optionally specified by the time range.

    Parameters:

    - resource_group_name (str) – Resource group name
    - site_name (str) – Site name
    - start_time (str) – The start time of a time range to query, e.g. $filter=startTime eq ‘2015-01-01T00:00:00Z’ and endTime eq ‘2015-01-02T00:00:00Z’
    - end_time (str) – The end time of a time range to query, e.g. $filter=startTime eq ‘2015-01-01T00:00:00Z’ and endTime eq ‘2015-01-02T00:00:00Z’
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `Recommendation`
    Return type: | `ClientRawResponse` if raw=true

  `get_recommended_rules_for_site`(resource_group_name, site_name, featured=None, site_sku=None, num_slots=None, custom_headers=None, raw=False, **operation_config)

    Gets a list of recommendations associated with the specified web site.

    Parameters:

    - resource_group_name (str) – Resource group name
    - site_name (str) – Site name
    - featured (bool) – If set, this API returns only the most critical recommendation among the others. Otherwise this API returns all recommendations available
    - site_sku (str) – The name of site SKU.
    - num_slots (int) – The number of site slots associated to the site
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `Recommendation`
    Return type: | `ClientRawResponse` if raw=true

  `get_rule_details_by_site_name`(resource_group_name, site_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the detailed properties of the recommendation object for the specified web site.

    Parameters:

    - resource_group_name (str) – Resource group name
    - site_name (str) – Site name
    - name (str) – Recommendation rule name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RecommendationRule`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``ServerFarmsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  ServerFarmsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `create_or_update_server_farm`(resource_group_name, name, server_farm_envelope, allow_pending_state=None, custom_headers=None, raw=False, **operation_config)

    Creates or updates an App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - server_farm_envelope (`ServerFarmWithRichSku`) – Details of App Service Plan
    - allow_pending_state (bool) – OBSOLETE: If true, allow pending state for App Service Plan
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `ServerFarmWithRichSku`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_vnet_route`(resource_group_name, name, vnet_name, route_name, route, custom_headers=None, raw=False, **operation_config)

    Creates a new route or updates an existing route for a vnet in an app service plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - route_name (str) – Name of the virtual network route
    - route (`VnetRoute`) – The route object
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetRoute`
    Return type: | `ClientRawResponse` if raw=true

  `delete_server_farm`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Deletes a App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_vnet_route`(resource_group_name, name, vnet_name, route_name, custom_headers=None, raw=False, **operation_config)

    Deletes an existing route for a vnet in an app service plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - route_name (str) – Name of the virtual network route
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_route_for_vnet`(resource_group_name, name, vnet_name, route_name, custom_headers=None, raw=False, **operation_config)

    Gets a specific route associated with a vnet, in an app service plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - route_name (str) – Name of the virtual network route
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `VnetRoute`
    Return type: | `ClientRawResponse` if raw=true

  `get_routes_for_vnet`(resource_group_name, name, vnet_name, custom_headers=None, raw=False, **operation_config)

    Gets a list of all routes associated with a vnet, in an app service plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `VnetRoute`
    Return type: | `ClientRawResponse` if raw=true

  `get_server_farm`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets specified App Service Plan in a resource group.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSku`
    Return type: | `ClientRawResponse` if raw=true

  `get_server_farm_metric_defintions`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    List of metrics that can be queried for an App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinitionPaged`

  `get_server_farm_metrics`(resource_group_name, name, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Queries for App Serice Plan metrics.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - details (bool) – If true, metrics are broken down per App Service Plan instance
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_server_farm_operation`(resource_group_name, name, operation_id, custom_headers=None, raw=False, **operation_config)

    Gets a server farm operation.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of server farm
    - operation_id (str) – Id of Server farm operation”&gt;
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSku`
    Return type: | `ClientRawResponse` if raw=true

  `get_server_farm_sites`(resource_group_name, name, skip_token=None, filter=None, top=None, custom_headers=None, raw=False, **operation_config)

    Gets list of Apps associated with an App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - skip_token (str) – Skip to of web apps in a list. If specified, the resulting list will contain web apps starting from (including) the skipToken. Else, the resulting list contains web apps from the start of the list
    - filter (str) – Supported filter: $filter=state eq running. Returns only web apps that are currently running
    - top (str) – List page size. If specified, results are paged.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_server_farm_vnet_gateway`(resource_group_name, name, vnet_name, gateway_name, custom_headers=None, raw=False, **operation_config)

    Gets the vnet gateway.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of the App Service Plan
    - vnet_name (str) – Name of the virtual network
    - gateway_name (str) – Name of the gateway. Only the ‘primary’ gateway is supported.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `get_server_farms`(resource_group_name, custom_headers=None, raw=False, **operation_config)

    Gets collection of App Service Plans in a resource group for a given subscription.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ServerFarmWithRichSkuPaged`

  `get_vnet_from_server_farm`(resource_group_name, name, vnet_name, custom_headers=None, raw=False, **operation_config)

    Gets a vnet associated with an App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `get_vnets_for_server_farm`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets list of vnets associated with App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `reboot_worker_for_server_farm`(resource_group_name, name, worker_name, custom_headers=None, raw=False, **operation_config)

    Submit a reboot request for a worker machine in the specified server farm.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of server farm
    - worker_name (str) – Name of worker machine, typically starts with RD
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `restart_sites_for_server_farm`(resource_group_name, name, soft_restart=None, custom_headers=None, raw=False, **operation_config)

    Restarts web apps in a specified App Service Plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - soft_restart (bool) – Soft restart applies the configuration settings and restarts the apps if necessary. Hard restart always restarts and reprovisions the apps
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `update_server_farm_vnet_gateway`(resource_group_name, name, vnet_name, gateway_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Updates the vnet gateway.

    Parameters:

    - resource_group_name (str) – The resource group
    - name (str) – The name of the App Service Plan
    - vnet_name (str) – The name of the virtual network
    - gateway_name (str) – The name of the gateway. Only ‘primary’ is supported.
    - connection_envelope (`VnetGateway`) – The gateway entity.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `update_vnet_route`(resource_group_name, name, vnet_name, route_name, route, custom_headers=None, raw=False, **operation_config)

    Creates a new route or updates an existing route for a vnet in an app service plan.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of App Service Plan
    - vnet_name (str) – Name of virtual network
    - route_name (str) – Name of the virtual network route
    - route (`VnetRoute`) – The route object
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetRoute`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``SitesOperations`(client, config, serializer, deserializer)

  Bases: `object`

  SitesOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `add_site_premier_add_on`(resource_group_name, name, premier_add_on_name, premier_add_on, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - premier_add_on (`PremierAddOnRequest`) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `add_site_premier_add_on_slot`(resource_group_name, name, premier_add_on_name, premier_add_on, slot, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - premier_add_on (`PremierAddOnRequest`) –
    - slot (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `apply_slot_config_slot`(resource_group_name, name, slot, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Applies the configuration settings from the target slot onto the current slot.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of the source slot. Settings from the target slot will be applied onto this slot
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `apply_slot_config_to_production`(resource_group_name, name, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Applies the configuration settings from the target slot onto the current slot.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `backup_site`(resource_group_name, name, request, custom_headers=None, raw=False, **operation_config)

    Creates web app backup.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`BackupRequest`) – Information on backup request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `backup_site_slot`(resource_group_name, name, request, slot, custom_headers=None, raw=False, **operation_config)

    Creates web app backup.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`BackupRequest`) – Information on backup request
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `create_deployment`(resource_group_name, name, id, deployment, custom_headers=None, raw=False, **operation_config)

    Create a deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - deployment (`Deployment`) – Details of deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `create_deployment_slot`(resource_group_name, name, id, slot, deployment, custom_headers=None, raw=False, **operation_config)

    Create a deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - deployment (`Deployment`) – Details of deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `create_instance_deployment`(resource_group_name, name, id, instance_id, deployment, custom_headers=None, raw=False, **operation_config)

    Create a deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - instance_id (str) – Id of web app instance
    - deployment (`Deployment`) – Details of deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `create_instance_deployment_slot`(resource_group_name, name, id, slot, instance_id, deployment, custom_headers=None, raw=False, **operation_config)

    Create a deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - instance_id (str) – Id of web app instance
    - deployment (`Deployment`) – Details of deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site`(resource_group_name, name, site_envelope, skip_dns_registration=None, skip_custom_domain_verification=None, force_dns_registration=None, ttl_in_seconds=None, custom_headers=None, raw=False, **operation_config)

    Creates a new web app or modifies an existing web app.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the web app
    - site_envelope (`Site`) – Details of web app if it exists already
    - skip_dns_registration (str) – If true web app hostname is not registered with DNS on creation. This parameter is only used for app creation
    - skip_custom_domain_verification (str) – If true, custom (non *.azurewebsites.net) domains associated with web app are not verified.
    - force_dns_registration (str) – If true, web app hostname is force registered with DNS
    - ttl_in_seconds (str) – Time to live in seconds for web app’s default domain name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Site`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_config`(resource_group_name, name, site_config, custom_headers=None, raw=False, **operation_config)

    Update the configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_config (`SiteConfig`) – Request body that contains the configuraiton setting for the web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_config_slot`(resource_group_name, name, site_config, slot, custom_headers=None, raw=False, **operation_config)

    Update the configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_config (`SiteConfig`) – Request body that contains the configuraiton setting for the web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_host_name_binding`(resource_group_name, name, host_name, host_name_binding, custom_headers=None, raw=False, **operation_config)

    Creates a web app hostname binding.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - host_name (str) – Name of host
    - host_name_binding (`HostNameBinding`) – Host name binding information
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBinding`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_host_name_binding_slot`(resource_group_name, name, host_name, host_name_binding, slot, custom_headers=None, raw=False, **operation_config)

    Creates a web app hostname binding.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - host_name (str) – Name of host
    - host_name_binding (`HostNameBinding`) – Host name binding information
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBinding`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_relay_service_connection`(resource_group_name, name, entity_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Creates a new association to a Biztalk Hybrid Connection, or updates an existing one.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - connection_envelope (`RelayServiceConnectionEntity`) – The details of the Hybrid Connection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_relay_service_connection_slot`(resource_group_name, name, entity_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Creates a new association to a Biztalk Hybrid Connection, or updates an existing one.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - connection_envelope (`RelayServiceConnectionEntity`) – The details of the Hybrid Connection
    - slot (str) – The name of the slot for the web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_slot`(resource_group_name, name, site_envelope, slot, skip_dns_registration=None, skip_custom_domain_verification=None, force_dns_registration=None, ttl_in_seconds=None, custom_headers=None, raw=False, **operation_config)

    Creates a new web app or modifies an existing web app.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the web app
    - site_envelope (`Site`) – Details of web app if it exists already
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - skip_dns_registration (str) – If true web app hostname is not registered with DNS on creation. This parameter is only used for app creation
    - skip_custom_domain_verification (str) – If true, custom (non *.azurewebsites.net) domains associated with web app are not verified.
    - force_dns_registration (str) – If true, web app hostname is force registered with DNS
    - ttl_in_seconds (str) – Time to live in seconds for web app’s default domain name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Site`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_source_control`(resource_group_name, name, site_source_control, custom_headers=None, raw=False, **operation_config)

    Update the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_source_control (`SiteSourceControl`) – Request body that contains the source control parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_source_control_slot`(resource_group_name, name, site_source_control, slot, custom_headers=None, raw=False, **operation_config)

    Update the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_source_control (`SiteSourceControl`) – Request body that contains the source control parameters
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_vnet_connection`(resource_group_name, name, vnet_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Adds a Virtual Network Connection or updates it’s properties.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - connection_envelope (`VnetInfo`) – The properties of this Virtual Network Connection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_vnet_connection_gateway`(resource_group_name, name, vnet_name, gateway_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Updates the Virtual Network Gateway.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - connection_envelope (`VnetGateway`) – The properties to update this gateway with.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_vnet_connection_gateway_slot`(resource_group_name, name, vnet_name, gateway_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Updates the Virtual Network Gateway.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - connection_envelope (`VnetGateway`) – The properties to update this gateway with.
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `create_or_update_site_vnet_connection_slot`(resource_group_name, name, vnet_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Adds a Virtual Network Connection or updates it’s properties.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - connection_envelope (`VnetInfo`) – The properties of this Virtual Network Connection
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `delete_backup`(resource_group_name, name, backup_id, custom_headers=None, raw=False, **operation_config)

    Deletes a backup from Azure Storage.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `delete_backup_slot`(resource_group_name, name, backup_id, slot, custom_headers=None, raw=False, **operation_config)

    Deletes a backup from Azure Storage.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `delete_deployment`(resource_group_name, name, id, custom_headers=None, raw=False, **operation_config)

    Delete the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_deployment_slot`(resource_group_name, name, id, slot, custom_headers=None, raw=False, **operation_config)

    Delete the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_instance_deployment`(resource_group_name, name, id, instance_id, custom_headers=None, raw=False, **operation_config)

    Delete the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_instance_deployment_slot`(resource_group_name, name, id, slot, instance_id, custom_headers=None, raw=False, **operation_config)

    Delete the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site`(resource_group_name, name, delete_metrics=None, delete_empty_server_farm=None, skip_dns_registration=None, delete_all_slots=None, custom_headers=None, raw=False, **operation_config)

    Deletes a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - delete_metrics (str) – If true, web app metrics are also deleted
    - delete_empty_server_farm (str) – If true and App Service Plan is empty after web app deletion, App Service Plan is also deleted
    - skip_dns_registration (str) – If true, DNS registration is skipped
    - delete_all_slots (str) – If true, all slots associated with web app are also deleted
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_host_name_binding`(resource_group_name, name, host_name, custom_headers=None, raw=False, **operation_config)

    Deletes a host name binding.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - host_name (str) – Name of host
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_host_name_binding_slot`(resource_group_name, name, slot, host_name, custom_headers=None, raw=False, **operation_config)

    Deletes a host name binding.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - host_name (str) – Name of host
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_premier_add_on`(resource_group_name, name, premier_add_on_name, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_premier_add_on_slot`(resource_group_name, name, premier_add_on_name, slot, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - slot (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_relay_service_connection`(resource_group_name, name, entity_name, custom_headers=None, raw=False, **operation_config)

    Removes the association to a Biztalk Hybrid Connection, identified by its entity name.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_relay_service_connection_slot`(resource_group_name, name, entity_name, slot, custom_headers=None, raw=False, **operation_config)

    Removes the association to a Biztalk Hybrid Connection, identified by its entity name.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - slot (str) – The name of the slot for the web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_slot`(resource_group_name, name, slot, delete_metrics=None, delete_empty_server_farm=None, skip_dns_registration=None, delete_all_slots=None, custom_headers=None, raw=False, **operation_config)

    Deletes a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - delete_metrics (str) – If true, web app metrics are also deleted
    - delete_empty_server_farm (str) – If true and App Service Plan is empty after web app deletion, App Service Plan is also deleted
    - skip_dns_registration (str) – If true, DNS registration is skipped
    - delete_all_slots (str) – If true, all slots associated with web app are also deleted
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_source_control`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Delete source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_source_control_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Delete source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_vnet_connection`(resource_group_name, name, vnet_name, custom_headers=None, raw=False, **operation_config)

    Removes the specified Virtual Network Connection association from this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `delete_site_vnet_connection_slot`(resource_group_name, name, vnet_name, slot, custom_headers=None, raw=False, **operation_config)

    Removes the specified Virtual Network Connection association from this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `discover_site_restore`(resource_group_name, name, request, custom_headers=None, raw=False, **operation_config)

    Discovers existing web app backups that can be restored.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`RestoreRequest`) – Information on restore request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RestoreRequest`
    Return type: | `ClientRawResponse` if raw=true

  `discover_site_restore_slot`(resource_group_name, name, request, slot, custom_headers=None, raw=False, **operation_config)

    Discovers existing web app backups that can be restored.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`RestoreRequest`) – Information on restore request
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RestoreRequest`
    Return type: | `ClientRawResponse` if raw=true

  `generate_new_site_publishing_password`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Generates new random app publishing password.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `generate_new_site_publishing_password_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Generates new random app publishing password.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_deleted_sites`(resource_group_name, properties_to_include=None, include_site_types=None, custom_headers=None, raw=False, **operation_config)

    Gets deleted web apps in subscription.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - properties_to_include (str) – Additional web app properties included in the response
    - include_site_types (str) – Types of apps included in the response
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DeletedSitePaged`

  `get_deployment`(resource_group_name, name, id, custom_headers=None, raw=False, **operation_config)

    Get the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `get_deployment_slot`(resource_group_name, name, id, slot, custom_headers=None, raw=False, **operation_config)

    Get the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `get_deployments`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    List deployments.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DeploymentPaged`

  `get_deployments_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    List deployments.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DeploymentPaged`

  `get_instance_deployment`(resource_group_name, name, id, instance_id, custom_headers=None, raw=False, **operation_config)

    Get the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `get_instance_deployment_slot`(resource_group_name, name, id, slot, instance_id, custom_headers=None, raw=False, **operation_config)

    Get the deployment.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - id (str) – Id of the deployment
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Deployment`
    Return type: | `ClientRawResponse` if raw=true

  `get_instance_deployments`(resource_group_name, name, instance_id, custom_headers=None, raw=False, **operation_config)

    List deployments.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DeploymentPaged`

  `get_instance_deployments_slot`(resource_group_name, name, slot, instance_id, custom_headers=None, raw=False, **operation_config)

    List deployments.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - instance_id (str) – Id of web app instance
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `DeploymentPaged`

  `get_site`(resource_group_name, name, properties_to_include=None, custom_headers=None, raw=False, **operation_config)

    Get details of a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - properties_to_include (str) – Additional web app properties included in the response
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Site`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_configuration`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the backup configuration for a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupRequest`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_configuration_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the backup configuration for a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupRequest`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_status`(resource_group_name, name, backup_id, custom_headers=None, raw=False, **operation_config)

    Gets status of a web app backup that may be in progress.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_status_secrets`(resource_group_name, name, backup_id, request, custom_headers=None, raw=False, **operation_config)

    Gets status of a web app backup that may be in progress, including secrets associated with the backup, such as the Azure Storage SAS URL. Also can be used to update the SAS URL for the backup if a new URL is passed in the request body.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - request (`BackupRequest`) – Information on backup request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_status_secrets_slot`(resource_group_name, name, backup_id, request, slot, custom_headers=None, raw=False, **operation_config)

    Gets status of a web app backup that may be in progress, including secrets associated with the backup, such as the Azure Storage SAS URL. Also can be used to update the SAS URL for the backup if a new URL is passed in the request body.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - request (`BackupRequest`) – Information on backup request
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_backup_status_slot`(resource_group_name, name, backup_id, slot, custom_headers=None, raw=False, **operation_config)

    Gets status of a web app backup that may be in progress.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItem`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_config`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the configuration of the web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_config_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the configuration of the web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_host_name_binding`(resource_group_name, name, host_name, custom_headers=None, raw=False, **operation_config)

    Get web app binding for a hostname.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - host_name (str) – Name of host
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBinding`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_host_name_binding_slot`(resource_group_name, name, slot, host_name, custom_headers=None, raw=False, **operation_config)

    Get web app binding for a hostname.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - host_name (str) – Name of host
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBinding`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_host_name_bindings`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get web app hostname bindings.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBindingPaged`

  `get_site_host_name_bindings_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Get web app hostname bindings.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `HostNameBindingPaged`

  `get_site_instance_identifiers`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets all instance of a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteInstancePaged`

  `get_site_instance_identifiers_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets all instance of a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteInstancePaged`

  `get_site_logs_config`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the web app logs configuration.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteLogsConfig`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_logs_config_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the web app logs configuration.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteLogsConfig`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_metric_definitions`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets metric definitions for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinitionPaged`

  `get_site_metric_definitions_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets metric definitions for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `MetricDefinitionPaged`

  `get_site_metrics`(resource_group_name, name, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets metrics for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - details (bool) – If true, metric details are included in response
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_site_metrics_slot`(resource_group_name, name, slot, details=None, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets metrics for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - details (bool) – If true, metric details are included in response
    - filter (str) – Return only usages/metrics specified in the filter. Filter conforms to odata syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ResourceMetricPaged`

  `get_site_network_features`(resource_group_name, name, view, custom_headers=None, raw=False, **operation_config)

    Retrieves a view of all network features in use on this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - view (str) – The type of view. This can either be “summary” or “detailed”.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NetworkFeatures`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_network_features_slot`(resource_group_name, name, view, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves a view of all network features in use on this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - view (str) – The type of view. This can either be “summary” or “detailed”.
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `NetworkFeatures`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_operation`(resource_group_name, name, operation_id, custom_headers=None, raw=False, **operation_config)

    Gets the operation for a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - operation_id (str) – Id of an operation
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_operation_slot`(resource_group_name, name, operation_id, slot, custom_headers=None, raw=False, **operation_config)

    Gets the operation for a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - operation_id (str) – Id of an operation
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_premier_add_on`(resource_group_name, name, premier_add_on_name, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_premier_add_on_slot`(resource_group_name, name, premier_add_on_name, slot, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - premier_add_on_name (str) –
    - slot (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_relay_service_connection`(resource_group_name, name, entity_name, custom_headers=None, raw=False, **operation_config)

    Retrieves a Biztalk Hybrid Connection identified by its entity name.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_relay_service_connection_slot`(resource_group_name, name, entity_name, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves a Biztalk Hybrid Connection identified by its entity name.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - slot (str) – The name of the slot for the web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_slot`(resource_group_name, name, slot, properties_to_include=None, custom_headers=None, raw=False, **operation_config)

    Get details of a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - properties_to_include (str) – Additional web app properties included in the response
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `Site`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_slots`(resource_group_name, name, properties_to_include=None, custom_headers=None, raw=False, **operation_config)

    Gets all the slots for a web apps.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - properties_to_include (str) – List of app properties to include in the response
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_site_snapshots`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Returns all Snapshots to the user.

    Parameters:

    - resource_group_name (str) – Webspace
    - name (str) – Website Name
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_snapshots_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Returns all Snapshots to the user.

    Parameters:

    - resource_group_name (str) – Webspace
    - name (str) – Website Name
    - slot (str) – Website Slot
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_source_control`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Get the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_source_control_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Get the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_usages`(resource_group_name, name, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets the quota usage numbers for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - filter (str) – Return only usages specified in the filter. Filter is specified by using OData syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CsmUsageQuotaPaged`

  `get_site_usages_slot`(resource_group_name, name, slot, filter=None, custom_headers=None, raw=False, **operation_config)

    Gets the quota usage numbers for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - filter (str) – Return only usages specified in the filter. Filter is specified by using OData syntax. Example: $filter=(name.value eq ‘Metric1’ or name.value eq ‘Metric2’) and startTime eq ‘2014-01-01T00:00:00Z’ and endTime eq ‘2014-12-31T23:59:59Z’ and timeGrain eq duration’[Hour|Minute|Day]’.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `CsmUsageQuotaPaged`

  `get_site_vnet_connection`(resource_group_name, name, vnet_name, custom_headers=None, raw=False, **operation_config)

    Retrieves a specific Virtual Network Connection associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_vnet_connection_slot`(resource_group_name, name, vnet_name, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves a specific Virtual Network Connection associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_vnet_connections`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Retrieves a list of all Virtual Network Connections associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_vnet_connections_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves a list of all Virtual Network Connections associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | list of `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `get_site_vnet_gateway`(resource_group_name, name, vnet_name, gateway_name, custom_headers=None, raw=False, **operation_config)

    Retrieves a Virtual Network connection gateway associated with this web app and virtual network.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_site_vnet_gateway_slot`(resource_group_name, name, vnet_name, gateway_name, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves a Virtual Network connection gateway associated with this web app and virtual network.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `get_sites`(resource_group_name, properties_to_include=None, include_site_types=None, include_slots=None, custom_headers=None, raw=False, **operation_config)

    Gets the web apps for a subscription in the specified resource group.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - properties_to_include (str) – Additional web app properties included in the response
    - include_site_types (str) – Types of apps included in the response
    - include_slots (bool) – Whether or not to include deployments slots in results
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SitePaged`

  `get_slot_config_names`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the names of application settings and connection string that remain with the slot during swap operation.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SlotConfigNamesResource`
    Return type: | `ClientRawResponse` if raw=true

  `get_slots_differences_from_production`(resource_group_name, name, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Get the difference in configuration settings between two web app slots.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SlotDifferencePaged`

  `get_slots_differences_slot`(resource_group_name, name, slot, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Get the difference in configuration settings between two web app slots.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of the source slot
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SlotDifferencePaged`

  `is_site_cloneable`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Creates a new web app or modifies an existing web app.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteCloneability`
    Return type: | `ClientRawResponse` if raw=true

  `is_site_cloneable_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Creates a new web app or modifies an existing web app.

    Parameters:

    - resource_group_name (str) – Name of the resource group
    - name (str) – Name of the web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteCloneability`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_app_settings`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the application settings of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_app_settings_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the application settings of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_auth_settings`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the Authentication / Authorization settings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteAuthSettings`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_auth_settings_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the Authentication / Authorization settings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteAuthSettings`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_backups`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Lists all available backups for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItemPaged`

  `list_site_backups_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Lists all available backups for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupItemPaged`

  `list_site_connection_strings`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the connection strings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ConnectionStringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_connection_strings_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the connection strings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ConnectionStringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_metadata`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the web app meta data.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_metadata_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the web app meta data.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_premier_add_ons`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `list_site_premier_add_ons_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - slot (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `list_site_publishing_credentials`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Gets the web app publishing credentials.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `User`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_publishing_credentials_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Gets the web app publishing credentials.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `User`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_publishing_profile_xml`(resource_group_name, name, format=None, custom_headers=None, raw=False, callback=None, **operation_config)

    Gets the publishing profile for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - format (str) – Name of the format. Valid values are: FileZilla3 WebDeploy – default Ftp
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Return type: | Generator
    Return type: | `ClientRawResponse` if raw=true

  `list_site_publishing_profile_xml_slot`(resource_group_name, name, slot, format=None, custom_headers=None, raw=False, callback=None, **operation_config)

    Gets the publishing profile for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - format (str) – Name of the format. Valid values are: FileZilla3 WebDeploy – default Ftp
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - callback (Callable[Bytes, response=None]) – When specified, will be called with each chunk of data that is streamed. The callback should take two arguments, the bytes of the current chunk of data and the response object. If the data is uploading, response will be None.
    - operation_config – Operation configuration overrides.

    Return type: | Generator
    Return type: | `ClientRawResponse` if raw=true

  `list_site_relay_service_connections`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Retrieves all Biztalk Hybrid Connections associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `list_site_relay_service_connections_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Retrieves all Biztalk Hybrid Connections associated with this web app.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - slot (str) – The name of the slot for the web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `recover_site`(resource_group_name, name, recovery_entity, custom_headers=None, raw=False, **operation_config)

    Recovers a deleted web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - recovery_entity (`CsmSiteRecoveryEntity`) – Snapshot data used for web app recovery. Snapshot information can be obtained by calling GetDeletedSites or GetSiteSnapshots API.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Site`
    Return type: | `ClientRawResponse` if raw=true

  `recover_site_slot`(resource_group_name, name, recovery_entity, slot, custom_headers=None, raw=False, **operation_config)

    Recovers a deleted web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - recovery_entity (`CsmSiteRecoveryEntity`) – Snapshot data used for web app recovery. Snapshot information can be obtained by calling GetDeletedSites or GetSiteSnapshots API.
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `Site`
    Return type: | `ClientRawResponse` if raw=true

  `reset_production_slot_config`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Resets the configuration settings of the current slot if they were previously modified by calling ApplySlotConfig API.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `reset_slot_config_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Resets the configuration settings of the current slot if they were previously modified by calling ApplySlotConfig API.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `restart_site`(resource_group_name, name, soft_restart=None, synchronous=None, custom_headers=None, raw=False, **operation_config)

    Restarts web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - soft_restart (bool) – Soft restart applies the configuration settings and restarts the app if necessary. Hard restart always restarts and reprovisions the app
    - synchronous (bool) – If true then the API will block until the app has been restarted
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `restart_site_slot`(resource_group_name, name, slot, soft_restart=None, synchronous=None, custom_headers=None, raw=False, **operation_config)

    Restarts web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - soft_restart (bool) – Soft restart applies the configuration settings and restarts the app if necessary. Hard restart always restarts and reprovisions the app
    - synchronous (bool) – If true then the API will block until the app has been restarted
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `restore_site`(resource_group_name, name, backup_id, request, custom_headers=None, raw=False, **operation_config)

    Restores a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup to restore
    - request (`RestoreRequest`) – Information on restore request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `RestoreResponse`
    Return type: | `ClientRawResponse` if raw=true

  `restore_site_slot`(resource_group_name, name, backup_id, request, slot, custom_headers=None, raw=False, **operation_config)

    Restores a web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - backup_id (str) – Id of backup to restore
    - request (`RestoreRequest`) – Information on restore request
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns `RestoreResponse`
    Return type: | `ClientRawResponse` if raw=true

  `start_site`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Starts web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `start_site_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Starts web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `stop_site`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Stops web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `stop_site_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Stops web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `swap_slot_with_production`(resource_group_name, name, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Swaps web app slots.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns object
    Return type: | `ClientRawResponse` if raw=true

  `swap_slots_slot`(resource_group_name, name, slot, target_slot=None, preserve_vnet=None, custom_headers=None, raw=False, **operation_config)

    Swaps web app slots.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot (str) – Name of source slot for the swap
    - target_slot (str) – Set the destination deployment slot during swap operation
    - preserve_vnet (bool) – Get or set the flag indicating it should preserve VNet to the slot during swap
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response

    Return type: | `AzureOperationPoller` instance that returns object
    Return type: | `ClientRawResponse` if raw=true

  `sync_site_repository`(resource_group_name, name, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `sync_site_repository_slot`(resource_group_name, name, slot, custom_headers=None, raw=False, **operation_config)

    Parameters:

    - resource_group_name (str) –
    - name (str) –
    - slot (str) –
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true

  `update_site_app_settings`(resource_group_name, name, app_settings, custom_headers=None, raw=False, **operation_config)

    Updates the application settings of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - app_settings (`StringDictionary`) – Application settings of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_app_settings_slot`(resource_group_name, name, app_settings, slot, custom_headers=None, raw=False, **operation_config)

    Updates the application settings of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - app_settings (`StringDictionary`) – Application settings of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_auth_settings`(resource_group_name, name, site_auth_settings, custom_headers=None, raw=False, **operation_config)

    Updates the Authentication / Authorization settings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_auth_settings (`SiteAuthSettings`) – Auth settings associated with web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteAuthSettings`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_auth_settings_slot`(resource_group_name, name, site_auth_settings, slot, custom_headers=None, raw=False, **operation_config)

    Updates the Authentication / Authorization settings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_auth_settings (`SiteAuthSettings`) – Auth settings associated with web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteAuthSettings`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_backup_configuration`(resource_group_name, name, request, custom_headers=None, raw=False, **operation_config)

    Updates backup configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`BackupRequest`) – Information on backup request
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupRequest`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_backup_configuration_slot`(resource_group_name, name, request, slot, custom_headers=None, raw=False, **operation_config)

    Updates backup configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - request (`BackupRequest`) – Information on backup request
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `BackupRequest`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_config`(resource_group_name, name, site_config, custom_headers=None, raw=False, **operation_config)

    Update the configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_config (`SiteConfig`) – Request body that contains the configuraiton setting for the web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_config_slot`(resource_group_name, name, site_config, slot, custom_headers=None, raw=False, **operation_config)

    Update the configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_config (`SiteConfig`) – Request body that contains the configuraiton setting for the web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteConfig`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_connection_strings`(resource_group_name, name, connection_strings, custom_headers=None, raw=False, **operation_config)

    Updates the connection strings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - connection_strings (`ConnectionStringDictionary`) – Connection strings associated with web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ConnectionStringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_connection_strings_slot`(resource_group_name, name, connection_strings, slot, custom_headers=None, raw=False, **operation_config)

    Updates the connection strings associated with web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - connection_strings (`ConnectionStringDictionary`) – Connection strings associated with web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `ConnectionStringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_logs_config`(resource_group_name, name, site_logs_config, custom_headers=None, raw=False, **operation_config)

    Updates the meta data for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_logs_config (`SiteLogsConfig`) – Site logs configuration
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteLogsConfig`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_logs_config_slot`(resource_group_name, name, site_logs_config, slot, custom_headers=None, raw=False, **operation_config)

    Updates the meta data for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_logs_config (`SiteLogsConfig`) – Site logs configuration
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteLogsConfig`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_metadata`(resource_group_name, name, metadata, custom_headers=None, raw=False, **operation_config)

    Updates the meta data for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - metadata (`StringDictionary`) – Meta data of web app
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_metadata_slot`(resource_group_name, name, metadata, slot, custom_headers=None, raw=False, **operation_config)

    Updates the meta data for web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - metadata (`StringDictionary`) – Meta data of web app
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `StringDictionary`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_relay_service_connection`(resource_group_name, name, entity_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Creates a new association to a Biztalk Hybrid Connection, or updates an existing one.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - connection_envelope (`RelayServiceConnectionEntity`) – The details of the Hybrid Connection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_relay_service_connection_slot`(resource_group_name, name, entity_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Creates a new association to a Biztalk Hybrid Connection, or updates an existing one.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - entity_name (str) – The name by which the Hybrid Connection is identified
    - connection_envelope (`RelayServiceConnectionEntity`) – The details of the Hybrid Connection
    - slot (str) – The name of the slot for the web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `RelayServiceConnectionEntity`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_source_control`(resource_group_name, name, site_source_control, custom_headers=None, raw=False, **operation_config)

    Update the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_source_control (`SiteSourceControl`) – Request body that contains the source control parameters
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_source_control_slot`(resource_group_name, name, site_source_control, slot, custom_headers=None, raw=False, **operation_config)

    Update the source control configuration of web app.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - site_source_control (`SiteSourceControl`) – Request body that contains the source control parameters
    - slot (str) – Name of web app slot. If not specified then will default to production slot.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SiteSourceControl`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_vnet_connection`(resource_group_name, name, vnet_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Adds a Virtual Network Connection or updates it’s properties.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - connection_envelope (`VnetInfo`) – The properties of this Virtual Network Connection
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_vnet_connection_gateway`(resource_group_name, name, vnet_name, gateway_name, connection_envelope, custom_headers=None, raw=False, **operation_config)

    Updates the Virtual Network Gateway.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - connection_envelope (`VnetGateway`) – The properties to update this gateway with.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_vnet_connection_gateway_slot`(resource_group_name, name, vnet_name, gateway_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Updates the Virtual Network Gateway.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - gateway_name (str) – The name of the gateway. The only gateway that exists presently is “primary”
    - connection_envelope (`VnetGateway`) – The properties to update this gateway with.
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetGateway`
    Return type: | `ClientRawResponse` if raw=true

  `update_site_vnet_connection_slot`(resource_group_name, name, vnet_name, connection_envelope, slot, custom_headers=None, raw=False, **operation_config)

    Adds a Virtual Network Connection or updates it’s properties.

    Parameters:

    - resource_group_name (str) – The resource group name
    - name (str) – The name of the web app
    - vnet_name (str) – The name of the Virtual Network
    - connection_envelope (`VnetInfo`) – The properties of this Virtual Network Connection
    - slot (str) – The name of the slot for this web app.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `VnetInfo`
    Return type: | `ClientRawResponse` if raw=true

  `update_slot_config_names`(resource_group_name, name, slot_config_names, custom_headers=None, raw=False, **operation_config)

    Updates the names of application settings and connection string that remain with the slot during swap operation.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - name (str) – Name of web app
    - slot_config_names (`SlotConfigNamesResource`) – Request body containing the names of application settings and connection strings
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `SlotConfigNamesResource`
    Return type: | `ClientRawResponse` if raw=true

class `azure.mgmt.web.operations.``TopLevelDomainsOperations`(client, config, serializer, deserializer)

  Bases: `object`

  TopLevelDomainsOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_get_top_level_domains`(custom_headers=None, raw=False, **operation_config)

    Lists all top level domains supported for registration.

    Parameters:

    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `TopLevelDomainPaged`

  `get_top_level_domain`(name, custom_headers=None, raw=False, **operation_config)

    Gets details of a top level domain.

    Parameters:

    - name (str) – Name of the top level domain
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `TopLevelDomain`
    Return type: | `ClientRawResponse` if raw=true

  `list_top_level_domain_agreements`(name, include_privacy=None, custom_headers=None, raw=False, **operation_config)

    Lists legal agreements that user needs to accept before purchasing domain.

    Parameters:

    - name (str) – Name of the top level domain
    - include_privacy (bool) – If true then the list of agreements will inclue agreements for domain privacy as well.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | `TldLegalAgreementPaged`

class `azure.mgmt.web.operations.``UsageOperations`(client, config, serializer, deserializer)

  Bases: `object`

  UsageOperations operations.

  Parameters:

  - client – Client for service requests.
  - config – Configuration of service client.
  - serializer – An object model serializer.
  - deserializer – An objec model deserializer.

  `get_usage`(resource_group_name, environment_name, last_id, batch_size, custom_headers=None, raw=False, **operation_config)

    Returns usage records for specified subscription and resource groups.

    Parameters:

    - resource_group_name (str) – Name of resource group
    - environment_name (str) – Environment name
    - last_id (str) – Last marker that was returned from the batch
    - batch_size (int) – size of the batch to be returned.
    - custom_headers (dict) – headers that will be added to the request
    - raw (bool) – returns the direct response alongside the deserialized response
    - operation_config – Operation configuration overrides.

    Return type: | object
    Return type: | `ClientRawResponse` if raw=true